package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.CooperateMapper;
import com.ruoyi.system.domain.Cooperate;
import com.ruoyi.system.service.ICooperateService;

/**
 * 企业合作Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
@Service
public class CooperateServiceImpl implements ICooperateService 
{
    @Autowired
    private CooperateMapper cooperateMapper;

    /**
     * 查询企业合作
     * 
     * @param id 企业合作主键
     * @return 企业合作
     */
    @Override
    public Cooperate selectCooperateById(Long id)
    {
        return cooperateMapper.selectCooperateById(id);
    }

    /**
     * 查询企业合作列表
     * 
     * @param cooperate 企业合作
     * @return 企业合作
     */
    @Override
    public List<Cooperate> selectCooperateList(Cooperate cooperate)
    {
        return cooperateMapper.selectCooperateList(cooperate);
    }

    /**
     * 新增企业合作
     * 
     * @param cooperate 企业合作
     * @return 结果
     */
    @Override
    public int insertCooperate(Cooperate cooperate)
    {
        return cooperateMapper.insertCooperate(cooperate);
    }

    /**
     * 修改企业合作
     * 
     * @param cooperate 企业合作
     * @return 结果
     */
    @Override
    public int updateCooperate(Cooperate cooperate)
    {
        return cooperateMapper.updateCooperate(cooperate);
    }

    /**
     * 批量删除企业合作
     * 
     * @param ids 需要删除的企业合作主键
     * @return 结果
     */
    @Override
    public int deleteCooperateByIds(Long[] ids)
    {
        return cooperateMapper.deleteCooperateByIds(ids);
    }

    /**
     * 删除企业合作信息
     * 
     * @param id 企业合作主键
     * @return 结果
     */
    @Override
    public int deleteCooperateById(Long id)
    {
        return cooperateMapper.deleteCooperateById(id);
    }
}
